<?php
// Copyright 1999-2015. Parallels IP Holdings GmbH. All Rights Reserved.

class CreateTraceFailedRequestsRules extends Upgrader\Migration
{
    public function change()
    {
        $this->createTable('TraceFailedRequestsRules', [
            'description' => 'List of rules for a IIS failed requests',
            'columns' => [
                'id' => self::TYPE_PRIMARY_KEY,
                'domainId' => [
                    'type' => self::TYPE_FOREIGN_KEY,
                    'foreignKey' => 'domains.id',
                    'deleteCascade' => true,
                ],
                'statusCodes' => self::TYPE_STRING,
                'stopDate' => self::TYPE_DATETIME,
                'isEnabled' => self::TYPE_BOOLEAN,
            ],
            'indexes' => [
                'isEnabled' => [
                    'type' => self::INDEX_KEY,
                    'columns' => ['isEnabled']
                ],
            ],
        ]);
    }
}
